# MenuToggleDirective | CICADA
Documentation for CICADA

Toggle availability of sidebar on menu toggle click.

### Hierarchy

- MenuToggleDirective

## Index

### Constructors

- constructor

### Methods

- onMenuToggle

## Constructors

### constructor

- new MenuToggleDirective(elementRef: ElementRef<any>, renderer: Renderer2): MenuToggleDirective

- - Defined in src/app/shared/_directives/menu-toggle.directive.ts:8

  Handle click events on the html element.

  #### Parameters

  - ##### elementRef: ElementRef<any>

    A wrapper around a native element inside of a View.

  - ##### renderer: Renderer2

    Extend this base class to implement custom rendering.

  #### Returns MenuToggleDirective

## Methods

### onMenuToggle

- onMenuToggle(): void

- - Defined in src/app/shared/_directives/menu-toggle.directive.ts:22

  Toggle the availability of the sidebar.

  #### Returns void

Generated using TypeDoc